Overview

This filter has been developed to demonstrate a transparent, freely available tool to enable parents to control access to material they deem offensive or potentially harmful to their children and at the same time protect freedom of expression. It is designed primarily to demonstrate filtering based on PICS and other techniques and is not, in itself, a complete consumer product.

In order to be most useful as a filtering tool, one or more templates will need to be installed.

More on this topic

  • The ideas behind the filter
  • Transparency

Related topics:

  • Block messages and overrides
  • Hashed entries in templates


The ideas behind the filter

The filter is based on the idea that self labelling is the most democratic and transparent way of dealing with vast amounts of content and that self-labelling is the primary technology for achieving the balance of several interests. Although it can be combined with other blocking technologies, such as block lists, the product is dedicated to the idea that such blocking is based on trust established between the content provider and the parent, and the list supplier and the parent. Therefore all blocking is transparent so the parent can see why or by whom something is blocked. The parent remains in complete control of what is blocked and what is allowed.

More on this topic

  • Overview
  • Transparency


Transparency

This filter is "powered by ICRA" - that is, it was developed initially and uses the ideas of the Internet Content Rating Association - an independent, non-profit organization with offices in the US and Europe. ICRA's aim is to protect children from potentially harmful material while protecting the free speech rights of content providers.

The central point about ICRA's approach to rating and filtering is that rating labels are applied by the content provider, not by ICRA, and that it is parents who choose what they want their children to be allowed to see and what should be blocked. If the filter blocks access to a site, the reason for the block, and the person or organization whose rules have lead to the block being applied, must be made clear.

If a site is blocked by a template the filter will tell you which template(s) have blocked the site. If it is your own rules which have blocked access to a site, again, this is made clear.

More on this topic

  • Overview
  • The ideas behind the filter

Related topics:

  • Block messages and overrides
  • Hashed entries in templates


Tips for Parents

No filter, including this one, can replace parental care while your children are online. Filters are part of the answer, not the whole answer to the problem of your children coming across material you consider potentially offensive or harmful. Many organizations offer advice on what steps you can take to help to protect children and it is recommended you seek such advice.

Please make sure you are familiar with the idea of the pending list. This is there so that you can decide whether to make permanent decisions you made to override a block while your children were surfing. It is therefore recommended that you use this function in private!

Also, check that your passwords still work. If your password has changed - it should be you that changed it!

More on this topic

  • Keep your password safe
  • Designed for Windows XP
  • Works on other versions of Windows too
  • Parents' own surfing


Keep your passwords safe

If you are using Windows XP (or Windows NT/2000) then there is no supervisor password. As an administrator of the computer, you have access to the control panel. If you forget your Windows login password you have far bigger problems than just not being able to access the filter's control panel. Keep it safe and keep it secret!

On Windows 95, 98 and ME, you do need to have a supervisor password as these versions of Windows don't have security features of their own. It is recommended that you do not type this password into the computer in front of your children. This is why the filter has a separate password to override blocks. As you are likely to type this password in front of your children, it is strongly recommended that you change it frequently. You do not need to remember your old override password to set a new one.

More on this topic

  • General comments for parents
  • Designed for Windows XP
  • Works on other versions of Windows too
  • Parents' own surfing


Designed for Windows XP

The filter has been designed to be used primarily on the latest version of Windows - Windows XP. Unlike Windows 95, 98 and ME, Windows XP is designed for multiple users sharing a single computer and with one or more of those users having more control than others. These features are well established in the earlier versions of Windows used by professional - Windows NT and Windows 2000.

Windows XP (and NT/2000) is therefore perfect for parents who want to have some control over their children's online activities. Only users with what Windows calls "Administrator rights" can install the filter and make changes to the settings. Users with "limited rights" have no access not only to the to the filter's control panel but to the files the software uses - these are securely stored in the administrator only area.

More on this topic

  • General comments for parents
  • Keep your passwords safe
  • Works on other versions of Windows too
  • Parents' own surfing


Works on other Windows versions too

Although designed with Windows XP in mind, the filter does work with all versions from Windows 95 onwards. Windows 95, 98 and Me do not have the inherent security features of NT, 2000 and XP and therefore it is possible for any user to, for example, find and tamper with or just delete files used by the software. However… it has been designed to failsafe. If any tampering is detected, the filter will block all online access. The only solution being to uninstall and reinstall the filter.

As with any software, if some key files are deleted, the problem becomes more serious and it may not be possible to reinstall and uninstall the software. In this situation you are likely to need to seek help from your computer supplier.

More on this topic

  • General comments for parents
  • Keep your passwords safe
  • Designed for Windows XP
  • Parents' own surfing


Parents' own surfing

Parents can suspend the filter at any time. Alternatively, you may prefer to leave the filter running and just override blocks for your own surfing that you wouldn't override for your children. This is all perfectly possible of course - you remain in control at all times, but there are some key points to remember:

  1. After you have finished surfing, you must clear the cache. This is crucial.
  2. If you leave the filter running and just override blocks for your own use, then the websites you visit will be added to the pending list. These will remain accessible to all users until you have processed them using the pending function. Again, this is crucial.

Please make sure you are familiar with the following topics:

  • Suspending the filter
  • Clearing the cache
  • Pending

More on this topic:

  • General comments for parents
  • Keep your password safe
  • Designed for Windows XP
  • Works on other versions of Windows too


The ICRA system

The Internet Content Rating Association is an international, independent organization that empowers the public, especially parents, to make informed decisions about electronic media by means of the open labelling of content. ICRA's dual aims are to protect children from potentially harmful material and to protect free speech on the internet.

There are three elements to the system:

  1. Web authors fill in an online questionnaire describing the content of their site simply in terms of what is and isn't present. ICRA then generates a Content Label (a short piece of computer code) which the author adds to his/her site.

    The Internet Content Rating Association does not rate internet content. Content providers do that using the ICRA system.

  2. Users, especially parents of young children, can then set internet filtering software, such as this filter, to allow or disallow access to web sites based on the objective information declared in the label and the subjective preferences of the user.

    There are 45 individual descriptors in the ICRA labelling matrix, collected into 5 groups: nudity and sexual material, violence, language, other topics and chat. Importantly, the nudity and sexual material group, and the violence group, include a number of context descriptors. This allows the filter to distinguish between, for example, an art masterpiece and a modern glamour image, both of which may depict nudity.

    ICRA is impartial and does not make any recommendation about what should or should not be blocked/allowed.

  3. Organizations of all kinds, such as commercial companies, special interest groups and local communities can publish filtering templates which set up filtering software according to their particular values. As well as rules for whether to allow or block access to content based on the presence or absence of ICRA labels, templates may include lists of websites to which access should always be allowed or blocked.

    ICRA does not create any templates of its own. It simply makes the tools available for others to do so and provides links to such organizations from its website.

    For more details of the ICRA system, please see the website at www.icra.org.

    Related topics:

    • Transparency
    • Block messages and overrides


Templates

The filter has been designed to give you the maximum possible control over which sites will be blocked and which sites will be allowed. A direct consequence of this flexibility and the very fine control available is that there are a lot of choices to make. Filtering templates provide a quick and easy shortcut. By installing one or more templates, you're letting the template creator(s) set up the filter for you.

A template contains any combination of:

  • Lists of websites which will be blocked (known as "block lists")
  • Lists of websites which will be allowed (known as "allow lists")
  • Rules to block or allow access to websites based on ICRA labels.

NB. However many templates you install, your own settings take priority. For example, if you include a site in your own block list it will be blocked no matter what the templates say.

More on this topic

  • Adding new templates
  • Enable/disable templates
  • Information about individual templates
  • Viewing a template
  • PICSRules Files - the code behind the template
  • Hashed entries in templates

Related topics:

  • Rules
  • Lists


Adding new templates

On the templates tab, click the [Find templates] button. This will open your web browser and take you to a special page on the ICRA website. There you will see a list of organizations which have made templates available for download. Follow the links on the page to find the actual template(s) you want. There are two key steps:

  1. Download and installation - see below
  2. Activation - once installed, you must click the checkbox next to the template name to activate it.

Templates may come in 2 versions:

  • self-installing files (the names of these files end with .exe)
  • plain text files (the names of these files end with .prf).

Template creators may provide either one or both versions. The information they contain is the same.

Self-installing files

Click on the link on the template creator's website to start the download. When prompted, click the [Open] button. The template will self-install.

If the template has been digitally signed, you will see a dialogue similar to this:

In this example, the template was signed by ICRA on behalf of the template creator. Alternatively, templates may carry signatures of the template creator themselves. Using a digital ID from Verisign, this proves that the template is from the named organization.

(If you check the "Always trust…" checkbox, you won't see this prompt again when downloading software with this organization's digital signature. For full details of the way Digital IDs work, see www.verisign.com).

Not all templates will be digitally signed, in which case you'll see a dialogue similar to this:

not signed template

If you are confident you know where the template is from, then go ahead and install. If you are in any doubt about it, it's probably best to find out more about the template and its creator before proceeding.

Once installed, you will see the name of the template in the list.

You must click the checkbox next to the template to activate it.

Plain text (prf) files

A template is actually a special kind of file which just contains text in a particular format known as a PICSRules File or PRF for short. These follow an internationally-set standard and can be used in applications other than this filter, notably Microsoft Internet Explorer. For details of how to install templates in IE, see the support section of ICRA website.

To install a template manually, simply use your mouse to drag and drop the .prf file into the template list. PRFs cannot be digitally signed so you will always get the "Publisher cannot be determined" message.

You must click the checkbox next to the template to activate it.

More on this topic

  • General comments about templates
  • Enable/disable templates
  • Information about individual templates
  • Viewing a template
  • PICSRules Files - the code behind the template
  • Hashed entries in templates

Related topic:

  • Creating your own template


Enable/Disable individual templates

You can enable/disable an individual template at any time. Click the templates tab and you'll see a checkbox next to each template in the list. If you uncheck it, the filter will ignore that template. It won't actually remove it however so you can come back and re-enable it in future.

More on this topic

  • General comments about templates
  • Adding new templates
  • Information about individual templates
  • Viewing a template
  • PICSRules Files - the code behind the template
  • Hashed entries in templates

Related topics:

  • Block messages and overrides


Information about individual templates

Under the Templates tab, select a template by clicking your left (primary) mouse button and you'll see a brief description of the template on the right hand side. If you click the [More information] button, your web browser will open a special page on the template creator's website. Here you should find a description of what is in the template.

Exactly what information is given is up to the template creator. For example, not all template creators will reveal their block/allow lists. However, they will make it clear what their filtering policy is. They should also provide a contact address.

More on this topic

  • General comments on templates
  • Adding new templates
  • Enable/disable templates
  • Viewing a template
  • PICSRules Files - the code behind the template
  • Hashed entries in templates

Related topic:

  • Block messages and overrides


Viewing a template

Templates are designed to be read by machines, not humans. Nevertheless, in the interests of transparency, the filter does make it possible to see the actual code within the filter. Clicking the [View template] button will show the contents of the template but does not allow it to be edited.

More on this topic

  • General comments on templates
  • Adding new templates
  • Enable/disable templates
  • Information about individual templates
  • PICSRules Files - the code behind the template
  • Hashed entries in templates

Related topics:

  • Transparency
  • Creating your own template


PICSRules Files - the code behind the template

Templates used in the filter are technically known as PICSRules Files or PRFs for short. The standard was defined by the World Wide Web Consortium in 1997. The formal specification can be seen at http://www.w3.org/TR/REC-PICSRules and is written for software developers, not users of this filter.

ICRA has defined an optional extension to the standard which allows PRFs to include icons. The formal definition for this can be seen at http://www.icra.org/prf-opt.html.

In addition, this filter recognizes hashed URIs.

More on this topic

  • General comments on templates
  • Adding new templates
  • Enable/disable templates
  • Information about individual templates
  • Viewing a template
  • Hashed entries in templates

Related topic:

  • Creating your own template


Hashed entries in templates

Templates can contain lists of websites which the filter will always block and those which it will always allow. Template creators may not wish those lists to be public however. This is usually for one of two reasons:

  1. A block list is, by definition, a list of sites the template creator does not want you to see. Distributing such a list in plain text is at odds with this policy!
  2. Any list represents a considerable body of work and will have taken a great deal of effort to compile. Many template creators are therefore unwilling to distribute their lists in a wholly open way.

Hashed is the correct term, not encrypted. Unlike encrypted text, there is no way even in theory that you can take a hashed entry from a template and decrypt it to get the original address (URL). The filter therefore does not decrypt the entries, but hashes the address of the website being visited and looks for a match in the template.

For advanced users and those interested in transparency issues, full details of the algorithm used are available via the ICRA website at www.icra.org/hashed-uri.html. Additionally, a tool is available on the ICRA website's support pages which will hash a URL according to the same algorithm.

More on this topic

  • General comments about templates
  • Adding new templates
  • Enable/disable templates
  • Information about individual templates
  • Viewing a template
  • PICSRules Files - the code behind the template

Related topic:

  • Transparency


Rules

This section allows you to filter pages which carry an ICRA content label according to your wishes. This is the heart of the ICRA system and gives you a lot of control over what content should and should not be allowed. You can choose to block or allow each of the different descriptors in the ICRA system as you see fit.

There is a shortcut however… you can let someone else set up the filter for you. This is what we call a filtering template and is by far the easiest way to set up your filter. Click here for more information about templates.

An important point to make straight away is that your rules and lists take priority over any templates. If you decide to block a website that has an ICRA label that declares a particular kind of content, it will be blocked irrespective of what any template says. You're the boss!

More on this topic

  • Use these settings/do not use these settings (rely on template)
  • Setting up the rules
  • The descriptors in more detail


Use these settings/do not use these settings (rely on template)

If you do not have any templates installed, the "rely on templates" option will not be available.

If you do have one or more templates installed, you can effectively override those templates in fine detail as you wish.

For each of the ICRA sections (nudity and sexual material, violence, language, others and chat) you can activate your own settings by selecting "Use these settings." The various options in the section will now be available. Any settings you make here will override the equivalent setting (if it exists) in any and all installed templates.

More on this topic

  • General comments on rules
  • Setting up the rules
  • The descriptors in more detail


ICRAfilter Help

Setting up the rules

On the Rules tab, select a "radio button" from the left hand side of the screen and you will see the various descriptors in that category, each of which has a pair of radio buttons next to it. To enable the controls in a particular section, make sure you have selected "Use these settings" just below the main tabs.

The Block all... option

If you select this option, the filter looks for a declaration that the site carries NONE of the individual elements described below. To indicate this, all the other options will be "greyed out" and unavailable.

The individual descriptors

If you have not selected "Block All", then you can select the precise content you wish to block or allow. For a more detailed explanation of the descriptors, please click here.

Context

The nudity and sexual material section and the violence section have context descriptors. Regardless of the other settings in this section, if a context is declared, the site will be allowed if you check that context. Some examples:

  1. A parent decides to block sites which contain:
    • Sexual violence / rape
    • Blood and gore, human beings
    • Blood and gore, animals
    • Blood and gore, fantasy characters (including animation)
    • Killing of human beings
    • Killing of animals

    And checks all the context variables. A site declared by the author as being of an educational nature but that discussed any of the topics listed in the example would be allowed. To block such an educational site, the parent should leave the educational context box unchecked.

  2. A parent wishes to block all nudity and sexual material, irrespective of context. To do this, they check "Block All nudity and sexual material."

Leaving everything unchecked - what it means

An ICRA content label may declare that a site carries the particular elements in each section, or it may declare that the site has "none of these." There is a third option - a "don't know" option. This is used by a very few sites but they tend to be very big ones. A classic example would be a publishing company which sells books about every subject known. Across the vast majority of the site, there is no sex and nudity, offensive language and probably a lot of educational and artistic work - it's hard to classify. Nevertheless, in a large publishing company it is usually not true to say that there is no nudity or sexual material so, they say "don't know." By not checking the "Block All" option, irrespective of other settings, you are allowing access to such sites.

More on this topic

  • General comments on rules
  • Use these settings/do not use these settings (rely on template)
  • The descriptors in more detail


ICRAfilter Help

The descriptors in more detail

Jump straight to:

  • Nudity and sexual material
  • Violence
  • Other topics
  • Chat

General comments

The ICRA descriptors were determined through a process of international consultation trying to establish descriptors that would give reasonable international consistency. Some descriptors merit additional definitions, because of ambiguities that may arise in the process of translation and to help users deal with descriptors that have subjective elements.

Material may be presented as pictures (no matter how crudely drawn or depicted), written descriptions, oral recitations, and/or audio sounds. In other words in any way possible.

Each descriptor aims at being as neutral and objective as possible, which means that if a site contains depictions of, for instance female breasts, that should be declared irrespective of context - that's a separate issue. Any list of descriptors, no matter how well written, cannot cover all content perfectly. It is inevitable that there are some "grey areas." Users should not expect that every site which carries an ICRA label will be carrying precisely the label you would apply.

Nudity and sexual material

Not only each descriptor, but the combination of descriptors describes the content. Depictions of genitals may exist in a non sexual context (e.g. naturism and nudism, classical sculpture) for example. However, when combined with explicit sexual acts, obscured or implied sexual acts, visible sexual touching or passionate kissing, the sexual nature is clear.

The filter does not allow you to set up rules which block combinations of descriptors directly as this would make it even more complicated to use! However, templates may include more sophisticated rules.

Back to top

Violence

Blood and gore means the portrayal of blood splashing, pools of blood on the ground, objects or persons smeared or stained with blood.

Back to top

Other topics

Promotion of discrimination or harm against people means the promotion of discrimination or harm against any group or person by virtue of membership in a group or based on gender, sexual orientation or ethnic, religious or national identity.

Discrimination in this context is defined as treating differently. This is a broad category including but not limited to, advocating ethnic supremacy, gender discrimination etc.

Material that might be perceived as setting a bad example for young children covers a range of criteria often found in the rating of films (movies) and may include a number of actions which depending on the context, could make it a concern for parents of young children. For example: picking locks, theft, urinating in public, bomb making, fraud, vandalism or violations of local customs/laws.

Material that might disturb young children also covers a range of criteria often found in the rating of films and may include a number of actions which depending on the context could make it a concern for parents of young children. For example: material intended to invoke fear, horror, suicide, threats, humiliation, psychological terror, death, suffering, pain, punishment, bullying, abandonment, dramatic accidents, [confusing elements of] irony or parody.

Back to top

Chat

The ICRA system recognizes two distinct sorts of chat room: those which are unmoderated in which case any form of chat may be found, and moderated chat suitable for children and teens. It is important to note that moderated chat does not say young children and includes teens.

The term chat may also apply to message boards, personal ads or any website which displays material submitted by users.

Blocking either form of chat under the rules tab works in just the same way as other ICRA descriptors. The filter includes additional means for blocking access to all chat facilities under the services tab.

Back to top

More on this topic

  • General comments
  • Use these settings/do not use these settings (rely on template)
  • Setting up the rules

Related topic:

  • Services


Lists

The filter can allow or block access to web sites whose addresses are stored in lists you compile. Furthermore, the filter allows you to be either very general or very specific about what you want to block or allow - you're in control at all times.

More on this topic

  • Adding an entry to a list
  • More on wildcards
  • Removing list entries

Related topic:

  • Pending


Adding an entry to a list

NB. You must be online to do this (see point 2 below).

To add a website to either list, simply type its address into the small window just below the relevant list and click the [Add to block/allow list] button. It will then appear in the window above although you will notice it isn't quite in the form you typed it in and that, in the block list, multiple entries appear. Two things are going on here:

  1. The filter supports wildcards (*). The term wildcard simply means that the asterisk (*) can be used to mean any other character or group of characters. See below for examples and a full explanation.

  2. The web addresses you type in, such as www.icra.org are only part of the story. Every web address has at least one numerical equivalent known as an IP address. For block list entries, the filter attempts to find these IP addresses and adds them all to your list. In some cases, several IP addresses will appear. This makes the system significantly more secure but you can disable this looking up process by un-checking the "perform DNS lookup for new entries" option.

    As the filter needs to fetch the alternative addresses for the sites you enter, you must be online when adding entries to your lists.

    The filter will not look up alternatives for addresses that include wildcards (since there is no exact match to make).

Wildcards(*)

Many website addresses begin with "http://", sometimes though, you'll see "https://" , especially on sites that take credit cards, and occasionally you may see "ftp://" or other combinations. This is known as the scheme - and you don't have to include it. If you don't include the scheme then the filter will just write in *:// at the beginning of the web address. That means that whatever the scheme may be, the filter will block or allow it as appropriate.

For example, if you enter www.badsite.com and add it to your block list, the filter will actually write *://www.badsite.com/* into the list (we'll come to the final * in the "more on wildcards" section). This means that whether the site begins with http://, https:// or whatever else, the site will be blocked. This is probably what you want to do.

If you know that you definitely only want to block or allow, say, https://www.website.com, then you can include the scheme - it's up to you.

More on this topic

  • General comments on lists
  • More on wildcards
  • Removing list entries


More on wildcards

You can block or allow lots of web addresses at once using wildcards. Large websites often have very complicated addresses. For example, if you visit the Microsoft site at www.microsoft.com, a link might take you to search.microsoft.com or support.microsoft.com. The key thing here is that all the web addresses end with microsoft.com. So, if you want to block or allow access to the entire Microsoft site, just enter *microsoft.com - and it's done.

As the example in the filter itself says, if you enter *.com in your block list, all sites ending in .com will be off limits and yes, enter just * in your block list and the whole of the internet is shut off!

Limitations - it doesn't work the other way

To continue the example above, you cannot block or allow access to microsoft* - in other words, you can't put the wildcard at the end of the web address, only at the beginning. Therefore, you cannot block or allow any web address that includes the word microsoft by adding *microsoft* to your list.

Wildcards in branches

Unlike in the main web address, wildcards are fully supported after the forward slash. This might be useful if you want specifically to allow access to some parts of a website and block access to other areas of the same site. If you just want to block or allow access to the whole site - don't bother with the branch and let the filter take care of it.

This is best explained by way of example. Any of the following examples are possible as block or allow list entries:

  • www.animals.com/*birds - would block or allow any branch of the animals site that ended with the word 'birds'
  • www.animals.com/birds* - would block or allow entry to any branch of the animals site which began with the word 'birds'
  • www.animals.com/*birds* would block or allow access to any branch of the animals website that included the word 'birds' anywhere

In most cases you'll probably just want to block or allow all branches. That's why when you enter www.website.com into a list, the filter displays *://www.website.com/* - any branch is covered.

NB: the Microsoft site and www.animals.com are used her purely as examples and should not be taken as a recommendation to block or allow access to either site.

More on this topic

  • General comments on lists
  • Adding an entry to a list
  • Removing list entries


Removing list entries

To remove an entry from your block or allow list, highlight it by clicking on it once with your left (primary) mouse button. Then click the [remove] button.

More on this topic

  • General comments on lists
  • Adding an entry to a list
  • More on wildcards

Related topic:

  • Block messages and overrides


Pending

Overview

When a site is blocked by a template, it is possible to override that block by entering the override password. When you do this, the address of the website you were looking at is added to a list of sites you've allowed access to temporarily. Using the pending screen, you can make those temporary allow decisions permanent.

This is so that you have a chance to review the site in private before making longer term decisions about whether a particular site should be allowed or continue to be blocked. As long as websites are on your temporary list they will be allowed in all user profiles.

If you have entries in your pending list, when you open the filter's control panel the pending dialogue will open automatically, reminding you to deal with it!

More on this topic

  • Processing entries - quick version
  • Processing entries - the careful approach
  • Lots of similar web addresses
  • Removing entries from the pending list

Related topics:

  • Block messages and overrides
  • Override password


Processing entries - quick version

If you are sure that you definitely want to make all entries on your pending list available to all users, just click the [Add all sites to all users] button and it's done.

More on this topic

  • General comments about the pending function
  • Processing entries - the careful approach


Processing entries - the careful approach

Look carefully at each web address in the pending list. If you know the particular site is OK, then click on it once using your left (primary) mouse button, then select the user to whom you want to allow access, again by clicking the left (primary) mouse button and finally click the [Add>>] button.

If you want to see the website before making the allow decision permanent (or not), double click it in the pending list.

You can select multiple entries in the website list and user lists just by clicking.

More on this topic

  • General comments about the pending function
  • Processing entries - quick version


Lots of similar web addresses (pending function)

If your pending list shows lots of similar web addresses, you may like to consider using the list function to add a whole website or group of websites. See the list section for details.

More on this topic

  • General comments about the pending function
  • Processing entries - quick version
  • Processing entries - the careful approach
  • Removing entries from the pending list

Related topic:

  • Lists


Removing entries from the pending list

Sites which you do not wish to make permanently available should be left until the end of the pending process. Then click the [Clear list] button and all remaining web addresses will be removed from the pending list.

More on this topic

  • General comments about the pending function
  • Processing entries - quick version
  • Processing entries - the careful approach


Services

As well as allowing you to make choices about the types of website content you want other users of this computer to see, the filter allows you to switch particular online services on and off completely.

Under the Services tab, you'll see a list of features you can block or allow by clicking the appropriate radio button. There is no fine control here, it's just on or off!

In each case the filter first switches off the usual route by which these services enter and leave the computer (the "default port"). If you check "use protocol detection", all data entering and leaving the computer is monitored and if a service you have chosen to block is detected using a different port than normal, that particular connection is cut. In short, the filter has two methods of shutting off individual services.

Use this feature with caution - it's very easy to cut off all online activity!

More on this topic

  • IRC (Internet Relay Chat)
  • E-mail
  • Secure sites
  • Newsgroups
  • FTP
  • All websites
  • Unknown Servcies
  • Block additional ports


IRC (Internet Relay Chat)

Internet Relay Chat is the most common technology used in chat rooms. Blocking this option will effectively block most chat rooms - but not all. Furthermore, it will not block Instant Messaging services, such as AOL Instant Messenger, MSN Messenger and Yahoo Messenger. These services use different technologies which the filter cannot detect directly. See unknown services for how to block these.

For advanced users: this option blocks port 6667 and, if selected, detects IRC through other ports.

More on this topic

  • General comments about services
  • E-mail
  • Secure sites
  • Newsgroups
  • FTP
  • All websites
  • Unknown Servcies
  • Block additional ports


E-mail

This option will effectively block incoming and outgoing e-mail accessed using software such as Outlook Express. It will not block internet-based e-mail like Hotmail and Yahoo mail.

This option can also be used to block e-mail accessed using Outlook only if it is not set up for corporate/workgroup use through Exchange Server.

For advanced users: this option blocks ports 25,110 and 143. If selected, it will detect SMTP, POP3 and IMAP4rev.

More on this topic

  • General comments about services
  • IRC (Internet Relay Chat)
  • Secure sites
  • Newsgroups
  • FTP
  • All websites
  • Unknown Servcies
  • Block additional ports


Secure sites

This option allows you to block sites accessed through "secure servers." Communication between your computer and these sites is encrypted so typically, these sites are used for credit card transactions and the like.

For advanced users, this option blocks ports 443 and 22. If selected, it will detect SSL, TLS and SSH.

More on this topic

  • General comments about services
  • IRC (Internet Relay Chat)
  • E-mail
  • Newsgroups
  • FTP
  • All websites
  • Unknown Servcies
  • Block additional ports


Newsgroups

Newsgroups are usually accessed through e-mail software such as Outlook Express. These are discussion groups which cover just about every topic known. There are fan clubs, professional discussion groups and social groups. It is often said that newsgroups are where you'll find the best of the web - and the worst of the web. Newsgroups are not moderated and there are several which you may find potentially harmful or offensive. This option allows you to block access to all newsgroups.

For advanced users, this option blocks port 119 and if selected, detects NNTP.

More on this topic

  • General comments about services
  • IRC (Internet Relay Chat)
  • E-mail
  • Secure sites
  • FTP
  • All websites
  • Unknown Servcies
  • Block additional ports


FTP

This service is used to transfer some files across the internet. Typically this does not include "peer to peer" file sharing services. FTP is used for things like uploading material to websites.

For advanced users, this option blocks port 21 and, if selected, detects FTP.

More on this topic

  • General comments about services
  • IRC (Internet Relay Chat)
  • E-mail
  • Secure sites
  • Newsgroups
  • All websites
  • Unknown Servcies
  • Block additional ports


All websites

Just what it says - if you block this service you effectively shut off the majority of the internet!

The vast majority of websites enter your computer through "port 80." You'll often see this number included in the web addresses displayed on the filter's block messages. This services option allows you to close off port 80 and therefore most of the internet.

For advanced users, this option blocks port 80 and, if selected, detects HTTP.

More on this topic

  • General comments about services
  • IRC (Internet Relay Chat)
  • E-mail
  • Secure sites
  • Newsgroups
  • FTP
  • Unknown servcies
  • Block additional ports


Unknown services

This is a catch-all option. New services are being brought online all the time, many of them using completely new technologies which the filter can't detect. Therefore, this option is provided to allow you to say "only allow it if you know what it is." If you choose to block unknown services, you should be able to block everything not covered in the other options, such as instant messaging services and non-standard chat software.

More on this topic

  • General comments about services
  • IRC (Internet Relay Chat)
  • E-mail
  • Secure sites
  • Newsgroups
  • FTP
  • All websites
  • Block additional ports


Block additional ports

This feature is for advanced users only.

More on this topic

  • General comments about services
  • IRC (Internet Relay Chat)
  • E-mail
  • Secure sites
  • Newsgroups
  • FTP
  • All websites
  • Block additional ports


Security

The filter has been designed with security in mind. Any attempt to tamper with the files used by the filter are very likely to disable all online access. Furthermore, if files are deleted without using the proper uninstall option, it is possible you will need to seek advice from your computer supplier. This could lead to you having to completely reinstall all software and losing all your data in the process.

As set out in the terms and conditions you agreed to when installing this software, The Internet Content Rating Association accepts no liability whatsoever for data lost through tampering with the filter.

More on this topic

  • Override Password
  • Changing your supervisor password (Applies to Windows 95, 98 and ME only)

Related topic:

  • How strict should the filter be?


Override password

This is the password you type in to override a block. Since it is likely that you are likely to type this while your children are sitting at the computer, it is recommended that you change this password frequently - they will be watching!

Changing your override password

On the Security tab, simply type in a new password, confirm it by typing it again - and that's it. Since it is recommended that you change this password frequently, it is likely that you will forget it! If you do, don't worry - just enter a new one.

More on this topic

  • General comments - security
  • Changing your supervisor password (Applies to Windows 95, 98 and ME only)


Changing your supervisor password (Applies to Windows 95, 98 and ME only)

On Windows 95, 98 and ME, your supervisor password provides the main security for the filter and should be kept secret at all times. If you need to change your supervisor password, just select the Security tab, enter your new password, then enter it again to confirm it, and that's it.

If you forget your supervisor password (Windows 95, 98 and ME only)

If you mistype your supervisor password 3 times in succession when opening the control panel or suspending the filter, you will be prompted with the question you entered when you first installed the software. Type the answer you gave originally and you will be allowed access.

You should change your supervisor password immediately! (You don't need to enter your old password to set a new one).

More on this topic

  • General comments - security
  • Override Password


How strict should the filter be?

Under the Security tab, below the override password change section, you can choose to make the filter more strict or less strict. This filter refers to this setting when it does not have enough information to make a definite choice. This can happen in two different circumstances:

  1. The site being accessed is not on any block or allow list and has no ICRA content label. Therefore the filter has no information about the site.

  2. Two or more installed templates are giving different decisions (template A is saying allow while template B is saying block).

In either case, if you choose the less strict option, the filter will allow access. If you choose the more strict option, it will block. It is recommended that unless you have installed templates that carry significantly long allow lists that you select the less strict option.

Related topic:

  • Security


Uninstalling the filter

The filter has its own uninstall program which must be used.

Do NOT delete individual files from your computer as this will block all online access and may well lead to you having to "reformat your hard drive." That is: completely wipe all programs including Windows and start again - usually a job for a computer engineer who is charging (a lot) by the hour.

If you are running Windows NT, Windows 2000 or Windows XP, users with "administrator rights" can remove the program by simply clicking Start>Programs>ICRAfilter>Uninstall.

If you are using Windows 95, 98 or ME, please click here.

More on this topic:

  • Uninstall from Win 95/98/ME


Uninstalling the filter from Win 95, 98 and ME

Click Start>Programs>ICRAfilter>uninstall

You will be prompted to enter your supervisor password.

Forgotten password

As well being prompted to enter your supervisor password, you will also see the question you entered when you first set up the filter. Enter the answer to your question. If your answer matches the one you gave when you first installed the filter, you will be allowed to continue the uninstall process.

If you can't remember your password or the answer to your question

Then there is no way to reset the password. ICRA does however retain an uninstall program which does not need the password. To receive a copy of this program on floppy disk, send $25 (US Dollars), EUR25 (euro) or £16 (Sterling) to your nearest ICRA office:

North America:
1001 Connecticut Avenue, NW
Suite 501
Washington DC 20036
USA

Rest of the world:
UK Head office
22 Old Steine
Brighton
East Sussex
BN1 1EL
United Kingdom

Cheques should be made payable to Internet Content Rating Association. Please remember to enclose a self-addressed envelope with sufficient return postage attached.

More on this topic:

  • Uninstall from Win NT/2K/XP


Setting up the filter for more than one user

The filter allows you to set up different filtering profiles for different users of the same computer. In order to do this, you must first have set up different user profiles in Windows itself.

On the top left hand side of the filter's control panel you will see a drop down list of all the users of this computer, as defined in your Windows settings, as well as the term <DEFAULT>. If you only see the <DEFAULT> entry then only one user is set up on this computer and you will need to add more.

The settings you see when <DEFAULT> is showing are the ones that will apply to all users for whom you have not specified a different set of rules.

Select a user from the drop-down menu to set up, see or amend the filter for them.

Example

Imagine you have set up user profiles in Windows for three people: Alice, Bob and Charlie. The drop down menu will therefore show:

NB. It is possible your menu will show other users that you have not set up yourself. For example, you may see another "default" name (not inside chevrons) and particularly on Windows XP, you are likely to see Administrator, Guest and Support listed - for the purposes of the filter these can and should be ignored.

Unless you set up different sets of rules for Alice, Bob or Charlie, when they log in, they will use the <DEFAULT> settings. Only if you want to set up different rules, for, say, Alice, should you select her name from the list. The filter will prompt you to make sure you mean to set up different rules for Alice from the other users. At this point, Bob and Charlie will still use the <DEFAULT> rules.

  • Setting up users in Windows 95/98/ME
  • Setting up users in Windows NT/2000/XP


Setting up users in Windows 95/98/ME

If you have not set up Windows for more than one user, you will need to do the following:

Click Start>Settings>Control Panel

Double click on "Users"

Click the [New user] button and follow the steps in the Wizard. Be sure to set a password for each user that they will use to log on to the computer when they use it.

See Windows' own help resources for more on this topic.

  • General comments on setting up for multiple users
  • Setting up users in Windows NT/2000/XP


Setting up users in Windows NT/2000/XP

These versions of Windows are designed with multiple users in mind. The filter makes full use of this and your computer's own security features.

Open the Windows Control Panel (from the Start menu) and set up accounts for each user. These should be limited access accounts since users with administrator privileges can change the settings in the filter!

See Windows' own help resources for more on this topic.

  • General comments on setting up for multiple users
  • Setting up users in Windows 95/98/ME


Block messages and overrides

When the filter blocks access to a page, you will be told why! If it is not a block you personally have chosen to make, you will have the option to override it. See the section on transparency for details. The messages and what they mean are shown below.

This site, or part of it, has been found to have unsuitable content

This means that a site is carrying an ICRA label which declares content which you have chosen to block. Since the content is known and you have specifically said you want to block such content, there is no override option. If you do want access to this site, you will need to adjust your settings.

This site, or a part of it, has been found to have unknown content

This message only appears if you have chosen to block access to sites which are not included on an allow list and have no ICRA content label (the more strict option on the Security tab). In other words, the filter has no information about the site and therefore is following the strictest rule and blocking access. For more details of this option, please click here.

Since this block is based on assumptions rather than hard evidence, the override option is available.

This site, or part of it, appears on your block list

This message appears when you visit a site which is included in your own block list. Since this is a decision you made, no override is available. If you do want to allow access to this site you will need to remove it from your block list.

This site has been blocked by a template

This message means that there is a rule within the specified template which means this site is blocked. This could either be because the site is on a block list contained within the template or because the site is carrying an ICRA content label which declares content the template provider wishes to block.

The template provider will have included a brief explanation of why the block was applied.

Since you did not choose to block this site directly yourself you can override this block by entering the override password.

More on this topic:

  • The override content below this branch options
  • Overriding a template

Related topics:

  • Rules
  • Lists


The override content below this branch options

On the override dialogue you will see the web address which is actually being blocked. For example, the website might be written as:

*://www.website.com:80/

You can safely ignore the *:// at the beginning and the 80 at the end but if you want to follow this up, please see the Adding an entry to a list section for details of the *:// and the All websites section for informaton about what 80 means here.

The options open to you here are as follows:

Automatically override content below this branch

If you select this option, all content from this website will be allowed. If the web address shown is slightly longer, something like this:

*://www.website.com:80/something/

then selecting this option will just allow all content from the "something" section of the website. That is content in or "below" the something branch.

This is probably what you want to do and therefore this is the default option.

Do not automatically override the content below this branch

This is the more cautious approach and allows you to override each element of the web page one by one. If you are unsure about overriding the page, this is the option for you.

More on this topic:

  • General comments on Block messages and overrides
  • Overriding a template


Overriding a template

The key factor here is that your rules and your lists take priority over any template. If you set a rule which blocks a particular kind of content, sites which carry an ICRA content label which declares that type of content will be blocked as you have dictated.

Similarly, if you add a site to your block or allow list, it will be blocked or allowed as you dictate - the filter won't even lookup that site in any templates.

More on this topic:

  • General comments on block messages and overrides
  • The override content below this branch options

Related topics:

  • Rules
  • Lists


Creating your own template

Creating templates is a job for advanced users only, it is therefore not anticipated that a typical user of this filter will create templates of their own. The help given here assumes you are familiar with a range of IT concepts.

Templates used in this filter are more properly known as PICSRules files (PRFs). Click here for more details. They contain information about the template creator, the rating services for which rules have been written within the file and then a series of policies. They key policy types used in templates made available for use in this filter are:

  • RejectByURL (URL list, explanation for block)
  • AcceptByURL (URL list)
  • RejectIf (Boolean statement referring to PICS rating labels, explanation for block)
  • AcceptIf (Boolean statement referring to PICS rating labels)

The filter works through the list of policies until a statement is satisfied whereupon the process stops (the rest of the file is then ignored). Therefore, the order in which they appear is critical.

URLs may be hashed (using md5 or SHA-1), click here for more information. Using Boolean statements, sophisticated filtering rules can be written - far more sophisticated than can easily be presented through the user interface of this filter.

This filter supports the full PRF specification except that label bureaux are not supported. It has however been built so that this functionality can easily be added. Ratings services other than ICRA can be incorporated in templates.

Other policy types are available:

  • RejectUnless (Boolean statement referring to PICS labels)
  • AcceptUnless (Boolean statement referring to PICS labels)
  • RejectIf "otherwise"
  • AcceptIf "otherwise"

The RejectIf "otherwise" policy allows the filter to be set only to allow access to sites which satisfy rules written earlier in the PRF. This allows you to set up a tightly controlled allow list.

PRFs can be used in other filters too, notably Microsoft Internet Explorer. At the time of writing, this does not support hashed URLs, nor the optional extension defined by ICRA which allows PRFs to include icons.

ICRA has documentation and tools to aid the creation of templates and make them available as self-installing executables which can be digitally signed. For more information on this, please see the ICRA website.

Related topic:

  • PICSRules Files - the code behind the template
  • Hashed entries in templates


Suspending the Filter

You may suspend the filter at any time. That is: effectively "switch it off" and allow unfiltered access to the internet and other online services. You can then re-enable the filter again at any time. If you do this

be sure to clear your browser's cache

before leaving the computer for others to use. Click here for details of why this is crucial.

To suspend the filter, right click the icon in the taskbar (on the bottom right hand side of your screen). Select "Suspend filter." On Windows 95/98/ME, you will be asked for your supervisor password.

Windows NT/2000/XP users must be logged in as a member of the "ICRA Admins" group to do this. If you are not familiar with user management on these operating systems, please consult Windows' own help resources.

Repeat the process to re-enable the filter.

If you suspend the filter, it is suspended for all users.

Related topics:

  • Parents' own surfing
  • Clearing the cache


Clearing the cache - what it is and why it's important

What is "Cache?"

Cache is the name given to your browser's short term memory. When you visit a website, the contents of that site are downloaded onto your computer. This helps to load the page more quickly next time you visit and often allows you to see the site offline.

Why it's important here

When the filter blocks access to a site, your browser may check the cache to see if it already has a copy of the requested site. If it has, the filter cannot stop that page being loaded. So if you, as a parent suspend the filter, visit a website or series of websites you don't want your children to see, then re-enable the filter without clearing the cache, those sites are still available to your children as the browser will simply load the data from the cache, not from the internet.

For instructions on how to clear cache in the popular browsers, please select the appropriate link below:

  • Clearing the cache in Internet Explorer
  • Clearing the cache in Netscape 6.x
  • Clearing the cache in Opera 6
  • Clearing the cache in Netscape 4.x

Related topics:

  • Parents' own surfing
  • Suspending the filter


Clearing the Cache in Internet Explorer

Click Tools>Internet Options to bring up this dialogue:

Click the Delete Files button right in the middle there (This screen shot is taken from Internet Explorer 6. Earlier versions don't have the Delete Cookies option). This will bring up a secondary dialogue like this:

Check the Delete all offline content option and click OK.

More on this topic:

  • General comments on clearing cache
  • Clearing the cache in Netscape 6.x
  • Clearing the cache in Opera 6
  • Clearing the cache in Netscape 4.x


Clearing the cache in Netscape 6.x

Click Edit>Preferences to bring up this dialogue:

Netscape 6x preferences

Click the small arrow next to the word Advanced on the left hand side, then select cache from the list like this:

Netscape 6x preferences

Click both the Clear Memory Cache and Clear Disk Cache buttons.

More on this topic:

  • General comments on clearing cache
  • Clearing the cache in Internet Explorer
  • Clearing the cache in Opera 6
  • Clearing the cache in Netscape 4.x


Clearing the Cache in Opera

Click File>Preferences to bring up the main dialogue, then select History and Cache to bring up this dialogue:

Under Disk cache, ensure that at least the 3 options checked in this example are checked on your machine, then click Empty now.

More on this topic:

  • General comments on clearing cache
  • Clearing the cache in Internet Explorer
  • Clearing the cache in Netscape 6.x
  • Clearing the cache in Netscape 4.x


Clearing the cache in Netscape 4.x

Click Edit>Preferences to bring up this dialogue:

NS 4x preferences

Click the small cross next to the word advanced on the left hand side, then select cache to bring up this dialogue:

NS 4x preferences

Click both the Clear Memory Cache and Clear Disk Cache buttons.

More on this topic:

  • General comments on clearing cache
  • Clearing the cache in Internet Explorer
  • Clearing the cache in Netscape 6.x
  • Clearing the cache in Opera 6


Troubleshooting

As stated elsewhere in this help file, this filter is not presented as a complete consumer product. It is a proof of concept tool which ICRA is promoting to software manufacturers and others as a framework for internet filtering that gives parents maximum control. Nevertheless, with suitable templates installed, it is intended that the filter should be of some value to parents.

Full technical support is not available for this filter, however here are some answers to commonly encountered problems:

  • Sites or parts of sites I have blocked are still available
  • When some sites are blocked, I see a few lines of text that have come from that site
  • Repeated block messages


Sites or parts of sites I have blocked are still available

This can be for several reasons as follows:

Filter suspended

Please check that the filter has not been suspended. Please click here for details.

Cache not emptied

Sites held in your browser's cache will not be filtered. Please click here for details.

Address incorrect in list (www, etc.)

If you have entered a site on your own block list, please ensure that it has been entered correctly. For example, if the web address begins with www, it must be included (or a wildcard used). Please click here for details.

Part of a site is displayed before being blocked

Please click here for a possible cause.

More on this topic:

  • General comments about troubleshooting
  • When some sites are blocked, I see a few lines of text that have come from that site
  • Repeated block messages


When some sites are blocked, I see a few lines of text that have come from that site

This can happen, especially when the block is due to a rule based on ICRA labels rather than by web address. This is because the filter has to download enough of the page to see whether there are labels present before it can make a decision. Data sent to the filter before the label, or before the filter can establish that no label is present, is passed on to the browser and will be displayed. This might rather technical in nature!

Depending on the structure of the website, it is possible that in extreme circumstances, significant amounts of data will be downloaded but you should not see a complete page.

  • General comments about troubleshooting
  • Sites or parts of sites I have blocked are still available
  • Repeated block messages


Repeated block messages

If you select the most strict setting, the filter will block everything it doesn't know about. This can include banner advertising, images and all sorts of content drawn from web addresses that are not obvious.

If you maintain the strict setting, you will build up a substantial allow list of your own (through overriding the blocks and then using the pending function). As this list builds, the number of blocks will reduce. Even so, it is not recommended that you use the most strict setting unless you have installed a template with a significant allow list component.

  • General comments about troubleshooting
  • Sites or parts of sites I have blocked are still available
  • When some sites are blocked, I see a few lines of text that have come from that site